<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
            rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
            crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">

    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

</head>
<body>
<div th:replace="fragments/navbar.html :: header"></div>
<!--&lt;!&ndash;navigation bar&ndash;&gt;-->
<!--<div class="nav-container">-->
<!--    <div class="wrapper">-->
<!--        <nav>-->
<!--            <div class="logo">-->
<!--                <a href="beers_page.html" th:href="@{/beers}"><img src="../static/images/logo_beer_page.png"-->
<!--                                                                   th:src="@{/images/logo_beer_page.png}"-->
<!--                                                                   alt="CHEERBEERS"></a>-->
<!--            </div>-->
<!--            <ul class="nav-items">-->

<!--                <li>-->
<!--                    Welcome <a href="#">Kevin</a>-->
<!--                </li>-->

<!--                <li>-->
<!--                    <div class="dropdown">-->
<!--                        <img class="profile-picture-nav" src="../static/images/defaultAvatar.jpg"-->
<!--                             th:src="@{/images/defaultAvatar.jpg}">-->
<!--                        <div class="dropdown-content">-->
<!--                            <div class="desc"><a href="#"> Profile</a></div>-->
<!--                            <div class="desc"><a href="#"> Add new beer</a></div>-->
<!--                            <div class="desc"><a href="#">My wishlist</a></div>-->
<!--                            <div class="desc"><a href="#">My drunklist</a></div>-->
<!--                            <div class="desc"><a href="#">logout</a></div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--    </div>-->
<!--</div>-->
<!--navigation bar above-->

<div class="container emp-profile">

    <div class="row">
        <div class="col-md-4">
            <div class="profile-img">
                <img src="../static/images/defaultAvatar.jpg" alt="profilepicture"
                     th:src="${user.getProfilePicture()}"/>
                <div class="file btn btn-lg btn-primary">
                    Change Photo
                    <input type="file" name="file"/>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="profile-head">
                <h5>
                    Edit your profile
                </h5>
                <form action="" th:action="@{/users/edit/__${user.getUserName()}__}" method="post">
                    <input hidden class="form-control" type="text"  th:field="*{userDto.id}"
                           placeholder="id">
                    <h5 th:text="${user.userName}">
                        Kevin Hart
                    </h5>
                    <input hidden  class="form-control" type="text"  th:field="*{userDto.userName}"
                           placeholder="your username">
                    <h7>First name</h7>
                    <input class="form-control" type="text" th:field="*{userDto.firstName}" placeholder="enter your first name">
                    <label class="error" th:errors="*{userDto.firstName}"></label>
                    <h7>Last name</h7>
                    <input class="form-control" type="text" th:field="*{userDto.lastName}" placeholder="enter your last name">
                    <label class="error" th:errors="*{userDto.lastName}"></label>
                    <h7>Email</h7>
                    <input class="form-control" type="text" th:field="*{userDto.email}" placeholder="enter your email">
                    <label class="error" th:errors="*{userDto.email}"></label>

            </div>

        </div>
        <div class="col-md-2">

            <button type="submit" class="btn btn-secondary">Save Changes</button>

            <div>&nbsp;</div>
            <a th:href="@{/users/profile/__${user.userName}__}" class="btn btn-secondary" role="button">Cancel
                Changes</a>

        </div>

    </div>
    </form>

</body>
</html>